VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IViewAddedRemovedObserver Class Referenceabstract
Version 4.0

view added removed observer interface for CFrame More...

Inheritance diagram for IViewAddedRemovedObserver:

## Public Member Functions
virtual | ~IViewAddedRemovedObserver () noexcept=default
virtual void | onViewAdded (CFrame *frame, CView *view)=0
virtual void | onViewRemoved (CFrame *frame, CView *view)=0

## Detailed Description

view added removed observer interface for CFrame

## Constructor & Destructor Documentation

virtual ~IViewAddedRemovedObserver | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void onViewAdded | ( | CFrame * | frame,
|  | CView * | view
| ) |  |
| pure virtual

Implemented in VST3Editor.

virtual void onViewRemoved | ( | CFrame * | frame,
|  | CView * | view
| ) |  |
| pure virtual

Implemented in VST3Editor.

The documentation for this class was generated from the following file:

- cframe.h